/*
	IPAddress
	IP귺긤깒긚귩뭻뤭돸궥귡

	Version		: 0.0 (Release1)

	띿맟볷		: 2002/05/25 (Yuh)
	뢇맫볷		: ----/--/--
	둂믦뿗쀰	: 
*/

#if !defined(AFX_IPADDRESS_H__B0C9DE72_9AF7_4148_9648_33A2EA325E4C__INCLUDED_)
#define AFX_IPADDRESS_H__B0C9DE72_9AF7_4148_9648_33A2EA325E4C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <winsock2.h>

class CIPAddress  
{
public:
	CIPAddress();
	CIPAddress(in_addr other);
	CIPAddress(DWORD other);
	CIPAddress(CString other);
	virtual ~CIPAddress();

	//	묆볺
	void operator=(in_addr other);
	void operator=(CString other);
	void operator=(DWORD other);
	int SetIPByHostName(CString host);

	//	롦벦
	operator in_addr();
	operator CString();
	operator char*();
	operator DWORD();
	CString GetHostName();

	//	붶둹
	int operator==(CIPAddress other);
	int operator==(in_addr other);
	int operator==(CString other);

private:
	in_addr	m_ip;
};

#endif // !defined(AFX_IPADDRESS_H__B0C9DE72_9AF7_4148_9648_33A2EA325E4C__INCLUDED_)
